<link rel="stylesheet" href="[[${root}]]css/engine/adapters-[[${version}]].min.css" />
<script src="[[${root}]]js/engine/adapters-[[${version}]].min.js"></script>
<script>
/*<![CDATA[*/

    requirejs.undef('_fm_adapters_options');

    define('_fm_adapters_options', [], function () {
        return { [[${valueAdaptersOptionsAsJson}]] };
    });

    requirejs.undef('_fm_data');

    define('_fm_data', [], function () {
        var _record = JSON.parse(atob('[[${formAsJson}]]'));
        var _step = _record.[[${form.id}]];
        var _page = _step.[[${group.id}]];
        return {
            _record : _record,
            _step   : _step,
            _page   : _page
        };
    });

    define('_fm_rules', [ '_fm_data', 'engine/trigger-api' ], function (data, _api) {
        with(_api) {
            var _record = data._record;
            var _step = data._step;
            var _page = data._page;

            return [[${rules}]];
        }
    });

    requirejs.undef('_fm_referentials');

    define('_fm_referentials', [ 'engine/Value', '_fm_data' ], function(Value, data) {
        var _record = data._record;
        var _step = data._step;
        var _page = data._page;

        return [[${referentials}]];
    });

    define('_fm_description', [], function() {
        return {
            'lang'          : '[[${desc.lang}]]',
            'recordUid'     : '[[${desc.recordUid}]]',
            'title'         : '[[${desc.title}]]',
            'description'   : '[[${desc.description}]]',
            'currentStep'   : '[[${desc.currentStep}]]',
            'displayedStep' : '[[${desc.displayedStep}]]'
        };
    });

    requirejs([ 'jquery' ], function ($) {
        $('link[data-nash="page-styles"]').remove();
        $('<link rel="stylesheet" data-nash="page-styles" href="data:text/css;base64,[[${styles}]]" />').appendTo($('head'));
    });

/*]]>*/
</script>